Overview

List all annotations

Get annotations

GET/v2/annotations
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input3
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
datasetsstring[] · query
(query) Optional: Filter for dataset names.
startstring · query
(query) Optional: Filter for events after this date. Use RFC3339 time format.
endstring · query
(query) Optional: Filter for events before this date. Use RFC3339 time format.
Output8
datasetsstring[]
array of dataset names for which the annotation appears on charts
descriptionstring
Explanation of the event the annotation marks on the charts
endTimestring
End time of the annotation
idstring
timestring
Time the annotation marks on the charts. If you don't include this field, Axiom assigns the time of the API request to the annotation.
titlestring
Summary of the annotation that appears on the charts
typestring
Type of the event marked by the annotation. Use only alphanumeric characters or hyphens. For example, "production-deployment".
urlstring
URL relevant for the event marked by the annotation. For example, link to GitHub pull request.
Responses
200Annotation
Example input
curl 'https://api.axiom.co/v2/annotations' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  {
    "datasets": [
      "my-dataset"
    ],
    "description": "Deploy new feature to the sales form",
    "endTime": "2024-02-06T11:39:28.382Z",
    "id": "ann_123",
    "time": "2024-02-06T10:39:28.382Z",
    "title": "Production deployment",
    "type": "deploy",
    "url": "https://example.com"
  }
]

Updated

Was this page helpful?